com.sun.jdi.event

## Interface EventIterator

- All Superinterfaces:
    Iterator<Event>

      public interface EventIterator
      extends Iterator<Event>

  EventIterators are unmodifiable.
  Since:
    1.3
  See Also:
    `Event`, `EventSet`, `Set.iterator()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `nextEvent()`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next, remove`

- - ### Method Detail

    - #### nextEvent

          Event nextEvent()

      Returns:
        The next `Event` in an `EventSet`.

Copyright © 1999, 2017, Oracle and/or its affiliates. All rights reserved.